<!--baseball online index.php<?php
#----------------------------------------------------------#
# baseball_online index.php
#----------------------------------------------------------#
include'_config.php';
$disp='';
$TIME_ST=microtime(true);

#フォームチェック
foreach($_POST as $key=>$val){$Q[$key]=$val;}
foreach($_GET as $key=>$val){$Q[$key]=$val;}

#モード読み込み
$r=$Q['r'];
if(!$r){$r='index';}
if(file_exists($SET[dir_mente])&&$SET[dir_mente]){$r='mente_mode';}	#メンテ用

if(!function_exists($r)){
error("モード\"".$r."\"は存在しません");
}else{
$r();
}
disp($disp);
save_log();
#----------------------------------------------------------#
# 各種ページ
#----------------------------------------------------------#
#トップ
function index(){			read_file('./r/index.php');indexR();}
#ID
function id_make(){		read_file('./r/id.php');id_makeR();}
function id_make_check(){	read_file('./r/id.php');id_make_checkR();}
function id_make_ok(){		read_file('./r/id.php');id_make_okR();}
#クッキー操作
function ck_in(){		read_file('./r/cookie.php');ck_inR();}
function ck_set(){		read_file('./r/cookie.php');ck_setR();}
function ck_del(){		read_file('./r/cookie.php');ck_delR();}
#ログイン
function login(){			read_file('./r/login.php');loginR();}
function logout(){		read_file('./r/login.php');logoutR();}
#資料室
function document(){			read_file('./r/index.php');documentR();}
function copyright(){			read_file('./r/index.php');copyrightR();}
function icon(){				read_file('./r/index.php');iconR();}
function flag(){				read_file('./r/index.php');flagR();}

function notice(){				read_file('./r/notice.php');noticeR();}
#チーム関連
function team(){			read_file('./r/team.php');teamR();}

function team_game(){			read_file('./r/team_game.php');team_gameR();}

function team_reg(){			read_file('./r/team_reg.php');team_regR();}
function team_reg_set(){			read_file('./r/team_reg.php');team_reg_setR();}
function team_reg_check(){			read_file('./r/team_reg.php');team_reg_checkR();}

function team_order(){			read_file('./r/team_order.php');team_orderR();}
function team_order_bat(){		read_file('./r/team_order.php');team_order_batR();}
function team_order_reg(){		read_file('./r/team_order.php');team_order_regR();}
function team_order_out(){		read_file('./r/team_order.php');team_order_outR();}
function team_order_set(){		read_file('./r/team_order.php');team_order_setR();}
function team_order_change(){	read_file('./r/team_order.php');team_order_changeR();}
function team_order_adj(){		read_file('./r/team_order_adj.php');team_order_adjR();}
function team_order_adj_set(){	read_file('./r/team_order_adj.php');team_order_adj_setR();}
function team_order_sb(){		read_file('./r/team_order_sb.php');team_order_sbR();}
function team_order_sb_set(){	read_file('./r/team_order_sb.php');team_order_sb_setR();}

function team_pitch(){				read_file('./r/team_pitch.php');team_pitchR();}
function team_pitch_reg(){			read_file('./r/team_pitch.php');team_pitch_regR();}
function team_pitch_out(){			read_file('./r/team_pitch.php');team_pitch_outR();}
function team_pitch_set(){			read_file('./r/team_pitch.php');team_pitch_setR();}
function team_pitch_rotout(){		read_file('./r/team_pitch.php');team_pitch_rotoutR();}
function team_pitch_rotset(){		read_file('./r/team_pitch.php');team_pitch_rotsetR();}
function team_pitch_adj(){			read_file('./r/team_pitch_adj.php');team_pitch_adjR();}
function team_pitch_adj_set(){		read_file('./r/team_pitch_adj.php');team_pitch_adj_setR();}

function team_result(){			read_file('./r/team_result.php');team_resultR();}
function team_resultp_reset(){	read_file('./r/team_result_reset.php');team_result_resetR('p');}
function team_resultpp_reset(){	read_file('./r/team_result_reset.php');team_result_resetR('pp');}

function team_result_pc(){		read_file('./r/team_result_pc.php');team_result_pcR('n');}
function team_result_pcb(){		read_file('./r/team_result_pc.php');team_result_pcR('b');}
function team_result_pca(){		read_file('./r/team_result_pc.php');team_result_pcR('a');}
function team_result_pcp(){		read_file('./r/team_result_pc.php');team_result_pcR('p');}
function team_result_pcpp(){		read_file('./r/team_result_pc.php');team_result_pcR('pp');}

function team_result_bt(){			read_file('./r/team_result_bt.php');team_result_btR('n');}
function team_result_btb(){		read_file('./r/team_result_bt.php');team_result_btR('b');}
function team_result_bta(){		read_file('./r/team_result_bt.php');team_result_btR('a');}
function team_result_btp(){		read_file('./r/team_result_bt.php');team_result_btR('p');}
function team_result_btpp(){		read_file('./r/team_result_bt.php');team_result_btR('pp');}

function team_rank(){			read_file('./r/team_rank.php');team_rankR('');}
function game_result_pc(){	read_file('./r/game_result_pc.php');game_result_pcR();}
function game_result_bt(){	read_file('./r/game_result_bt.php');game_result_btR();}

function team_info(){			read_file('./r/team_info.php');team_infoR();}
function team_info_ch(){		read_file('./r/team_info.php');team_info_chR();}
function team_info_set(){		read_file('./r/team_info.php');team_info_setR();}

function game_winner(){			read_file('./r/game_winner.php');game_winnerR();}
#カード関係
function card_list(){			read_file('./r/card_list.php');card_listR();}

function card_detail(){			read_file('./r/card_detail.php');card_detailR();}
function card_detail_pt(){		read_file('./r/card_detail.php');card_detail_ptR();}
function card_detail_edit(){	read_file('./r/card_detail.php');card_detail_editR();}

function card_draw(){			read_file('./r/card_draw.php');card_drawR();}
function card_draw_n1(){		read_file('./r/card_draw.php');card_draw_n1R();}
function card_draw_n10(){		read_file('./r/card_draw.php');card_draw_n10R();}
function card_draw_del1(){		read_file('./r/card_draw.php');card_draw_del1R();}
function card_draw_del10(){		read_file('./r/card_draw.php');card_draw_del10R();}
function card_draw_selp(){		read_file('./r/card_draw.php');card_draw_selpR();}
function card_draw_selb(){		read_file('./r/card_draw.php');card_draw_selbR();}
function card_draw_r(){			read_file('./r/card_draw.php');card_draw_rR();}
function card_draw_sr(){		read_file('./r/card_draw.php');card_draw_srR();}
function card_del(){			read_file('./r/card_del.php');card_delR();}

function card_comb(){			read_file('./r/card_comb.php');card_combR();}
function card_comb_check(){	read_file('./r/card_comb.php');card_comb_checkR();}
function card_comb_ok(){	read_file('./r/card_comb.php');card_comb_okR();}
#試合関連
function game_practice(){			read_file('./r/game_practice.php');game_practiceR();}
function game_official(){			read_file('./r/game_official.php');game_officialR();}

function game_prbt(){			read_file('./r/game_prbt.php');game_prbtR();}
#テスト
function test(){			read_file('./r/test.php');testR();}
#----------------------------------------------------------#
?>
